
QGIS Application - Bug report #1269

DXF converter creates a corrupted Shapefile

2008-09-02 08:19 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11329

Description

QGIS trunk r9243, GEOS 3.0.0, QT 4.4.0, Debian testing amd64.

1. convert the attached dxf into a polygon shapefile, using the plugin

2. the shapefile has unrealistic extents and corrupted features

3. zoom around on the shapefile - QGIS crashes as outlined in #1268

The dxf opens just fine in QCAD 2.0.5.0 Community Edition.

History

#1 - 2009-03-29 12:52 PM - Paolo Cavallini

Tested, and apparently there are two areas in the file: to one in the north is ok (and imported well); the one in the south seems topologically incorrect.

In qcad results are less clear to me (sometimes a full zoom out includes the two areas, sometimes only the north one). I suspect the base file could be

wrong: could you please test it again?

Thanks.

#2 - 2009-03-30 10:44 AM - Maciej Sieczka -

- Resolution set to fixed

- Status changed from Open to Closed

FWIW the DXF converter output based on the attached DXF doesn'r crash QGIS anymore, thus closing the ticket.

#3 - 2009-08-22 01:02 AM - Anonymous

Milestone Version 1.0.2 deleted

Files

test.zip 27.8 KB 2008-09-02 Maciej Sieczka -

2024-04-27 1/1


